Index: t3lib/class.t3lib_befunc.php
===================================================================
--- t3lib/class.t3lib_befunc.php	(revision 9522)
+++ t3lib/class.t3lib_befunc.php	(revision )
@@ -4223,21 +4232,21 @@
 	 */
 	public static function countVersionsOfRecordsOnPage($workspace, $pageId, $allTables = FALSE) {
 		$output = array();
-		if ($workspace!=0) {
+		if ($workspace != 0) {
-			foreach($GLOBALS['TCA'] as $tableName => $cfg) {
+			foreach ($GLOBALS['TCA'] as $tableName => $cfg) {
-				if ($tableName!='pages' && $cfg['ctrl']['versioningWS'] && ($cfg['ctrl']['versioning_followPages'] || $allTables))	{
+				if ($tableName != 'pages' && $cfg['ctrl']['versioningWS'] && ($cfg['ctrl']['versioning_followPages'] || $allTables)) {
 
 						// Select all records from this table in the database from the workspace
 						// This joins the online version with the offline version as tables A and B
-					$output[$tableName] = $GLOBALS['TYPO3_DB']->exec_SELECTgetRows (
+					$output[$tableName] = $GLOBALS['TYPO3_DB']->exec_SELECTgetRows(
 						'B.uid as live_uid, A.uid as offline_uid',
-						$tableName.' A,'.$tableName.' B',
+							$tableName . ' A,' . $tableName . ' B',
-						'A.pid=-1'.	// Table A is the offline version and pid=-1 defines offline
+							'A.pid=-1' . // Table A is the offline version and pid=-1 defines offline
-							' AND B.pid='.intval($pageId).
+									' AND B.pid=' . intval($pageId) .
-							' AND A.t3ver_wsid='.intval($workspace).
+									' AND A.t3ver_wsid=' . intval($workspace) .
-							' AND A.t3ver_oid=B.uid'.	// ... and finally the join between the two tables.
+									' AND A.t3ver_oid=B.uid' . // ... and finally the join between the two tables.
-							self::deleteClause($tableName, 'A').
+									self::deleteClause($tableName, 'A') .
-							self::deleteClause($tableName, 'B')
+									self::deleteClause($tableName, 'B')
 					);
 
 					if (!is_array($output[$tableName]) || !count($output[$tableName])) {
@@ -4276,29 +4285,28 @@
 		global $TCA;
 
 		$workspace = $GLOBALS['BE_USER']->workspace;
-		if ($workspace!==0 && $TCA[$table] && (int)$TCA[$table]['ctrl']['versioningWS']>=2)	{
+		if ($workspace !== 0 && $TCA[$table] && (int) $TCA[$table]['ctrl']['versioningWS'] >= 2) {
 
 				// Select workspace version of record:
 			$rows = $GLOBALS['TYPO3_DB']->exec_SELECTgetRows(
 				$fields,
 				$table,
-				'pid!=-1 AND
+					'pid!=-1 AND
 				 t3ver_state=3 AND
-				 t3ver_move_id='.intval($uid).' AND
+				 t3ver_move_id=' . intval($uid) . ' AND
-				 t3ver_wsid='.intval($workspace).
+				 t3ver_wsid=' . intval($workspace) .
-					self::deleteClause($table)
+							self::deleteClause($table)
 			);
 
-			if (is_array($rows[0]))	return $rows[0];
+			if (is_array($rows[0])) {
+				return $rows[0];
-		}
+			}
+		}
 
 		return FALSE;
 	}
 
 
-
-
-
 	/*******************************************
 	 *
 	 * Miscellaneous
@@ -4320,7 +4328,7 @@
 			// This prints out a TYPO3 error message.
 			// If $js is set the message will be output in JavaScript
 		if ($js) {
-			echo "alert('".t3lib_div::slashJS($header.'\n'.$text)."');";
+			echo "alert('" . t3lib_div::slashJS($header . '\n' . $text) . "');";
 		} else {
 			t3lib_div::logDeprecatedFunction();
 			$messageObj = t3lib_div::makeInstance('t3lib_message_ErrorPageMessage', $text, $header);
@@ -4340,10 +4348,10 @@
 		$loginCopyrightWarrantyProvider = strip_tags(trim($TYPO3_CONF_VARS['SYS']['loginCopyrightWarrantyProvider']));
 		$loginCopyrightWarrantyURL = strip_tags(trim($TYPO3_CONF_VARS['SYS']['loginCopyrightWarrantyURL']));
 
-		if (strlen($loginCopyrightWarrantyProvider)>=2 && strlen($loginCopyrightWarrantyURL)>=10) {
+		if (strlen($loginCopyrightWarrantyProvider) >= 2 && strlen($loginCopyrightWarrantyURL) >= 10) {
 			$warrantyNote = sprintf($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:warranty.by'),
 				htmlspecialchars($loginCopyrightWarrantyProvider),
-				'<a href="' . htmlspecialchars($loginCopyrightWarrantyURL) . '" target="_blank">', '</a>'
+					'<a href="' . htmlspecialchars($loginCopyrightWarrantyURL) . '" target="_blank">', '</a>'
 			);
 		} else {
 			$warrantyNote = sprintf($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:no.warranty'),
@@ -4351,22 +4359,22 @@
 			);
 		}
 		$cNotice = '<a href="http://typo3.com/" target="_blank">' .
-			'<img' . t3lib_iconWorks::skinImg($GLOBALS['BACK_PATH'], 'gfx/loginlogo_transp.gif', 'width="75" height="19" vspace="2" hspace="4"') . ' alt="' .
-			$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:typo3.logo') . '" align="left" />' .
-			$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:typo3.cms') . ' ' .
-			$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:version.short') . ' ' .
-			htmlspecialchars(TYPO3_version) . '</a>. ' .
-			$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:copyright') . ' &copy; ' .
-			htmlspecialchars(TYPO3_copyright_year) . ' Kasper Sk&aring;rh&oslash;j. ' .
-			$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:extension.copyright') . ' ' .
-			sprintf($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:details.link'),
-				'<a href="http://typo3.com/" target="_blank">http://typo3.com/</a>'
-			) . ' ' .
-			strip_tags($warrantyNote, '<a>') . ' ' .
-			sprintf($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:free.software'),
-				'<a href="http://typo3.com/1316.0.html" target="_blank">', '</a> '
-			) .
-			$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:keep.notice');
+				'<img' . t3lib_iconWorks::skinImg($GLOBALS['BACK_PATH'], 'gfx/loginlogo_transp.gif', 'width="75" height="19" vspace="2" hspace="4"') . ' alt="' .
+				$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:typo3.logo') . '" align="left" />' .
+				$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:typo3.cms') . ' ' .
+				$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:version.short') . ' ' .
+				htmlspecialchars(TYPO3_version) . '</a>. ' .
+				$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:copyright') . ' &copy; ' .
+				htmlspecialchars(TYPO3_copyright_year) . ' Kasper Sk&aring;rh&oslash;j. ' .
+				$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:extension.copyright') . ' ' .
+				sprintf($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:details.link'),
+					'<a href="http://typo3.com/" target="_blank">http://typo3.com/</a>'
+				) . ' ' .
+				strip_tags($warrantyNote, '<a>') . ' ' .
+				sprintf($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:free.software'),
+					'<a href="http://typo3.com/1316.0.html" target="_blank">', '</a> '
+				) .
+				$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:keep.notice');
 
 		return $cNotice;
 	}
@@ -4379,36 +4387,36 @@
 	 */
 	public static function displayWarningMessages() {
 		if ($GLOBALS['BE_USER']->isAdmin()) {
-			$warnings = array();	// Array containing warnings that must be displayed
+			$warnings = array(); // Array containing warnings that must be displayed
-			$enableInstallToolFile = PATH_site . 'typo3conf/ENABLE_INSTALL_TOOL';	// If this file exists and it isn't older than one hour, the Install Tool is enabled
+			$enableInstallToolFile = PATH_site . 'typo3conf/ENABLE_INSTALL_TOOL'; // If this file exists and it isn't older than one hour, the Install Tool is enabled
 
-			$cmd = t3lib_div::_GET('adminWarning_cmd');	// Cleanup command, if set
+			$cmd = t3lib_div::_GET('adminWarning_cmd'); // Cleanup command, if set
-			switch($cmd) {
+			switch ($cmd) {
 				case 'remove_ENABLE_INSTALL_TOOL':
 					if (unlink($enableInstallToolFile)) {
 						unset($enableInstallToolFile);
 					}
-				break;
+					break;
 			}
 
 				// Check if the Install Tool Password is still default: joh316
-			if ($GLOBALS['TYPO3_CONF_VARS']['BE']['installToolPassword']==md5('joh316')) {
+			if ($GLOBALS['TYPO3_CONF_VARS']['BE']['installToolPassword'] == md5('joh316')) {
-				$url = 'install/index.php?redirect_url=index.php'.urlencode('?TYPO3_INSTALL[type]=about');
+				$url = 'install/index.php?redirect_url=index.php' . urlencode('?TYPO3_INSTALL[type]=about');
 				$warnings["install_password"] = sprintf(
 					$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.install_password'),
-					'<a href="'.$url.'">',
+						'<a href="' . $url . '">',
 					'</a>');
 			}
 
 				// Check if there is still a default user 'admin' with password 'password' (MD5sum = 5f4dcc3b5aa765d61d8327deb882cf99)
 			$where_clause = 'username=' . $GLOBALS['TYPO3_DB']->fullQuoteStr('admin', 'be_users') . ' AND password=' .
-				$GLOBALS['TYPO3_DB']->fullQuoteStr('5f4dcc3b5aa765d61d8327deb882cf99', 'be_users') . self::deleteClause('be_users');
+					$GLOBALS['TYPO3_DB']->fullQuoteStr('5f4dcc3b5aa765d61d8327deb882cf99', 'be_users') . self::deleteClause('be_users');
 			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid, username, password', 'be_users', $where_clause);
 			if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
 				$url = 'alt_doc.php?returnUrl=alt_intro.php&edit[be_users][' . $row['uid'] . ']=edit';
 				$warnings["backend_admin"] = sprintf(
 					$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.backend_admin'),
-					'<a href="' . htmlspecialchars($url) . '">',
+						'<a href="' . htmlspecialchars($url) . '">',
 					'</a>');
 
 			}
@@ -4416,40 +4424,40 @@
 
 				// Check whether the file ENABLE_INSTALL_TOOL contains the string "KEEP_FILE" which permanently unlocks the install tool
 			if (is_file($enableInstallToolFile) && trim(file_get_contents($enableInstallToolFile)) === 'KEEP_FILE') {
-				$url = t3lib_div::getIndpEnv('TYPO3_REQUEST_SCRIPT').'?adminWarning_cmd=remove_ENABLE_INSTALL_TOOL';
+				$url = t3lib_div::getIndpEnv('TYPO3_REQUEST_SCRIPT') . '?adminWarning_cmd=remove_ENABLE_INSTALL_TOOL';
 				$warnings['install_enabled'] = sprintf(
 					$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.install_enabled'),
-					'<span style="white-space:nowrap;">'.$enableInstallToolFile.'</span>');
+						'<span style="white-space:nowrap;">' . $enableInstallToolFile . '</span>');
-				$warnings['install_enabled'].= ' <a href="'.$url.'">'.$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.install_enabled_cmd').'</a>';
+				$warnings['install_enabled'] .= ' <a href="' . $url . '">' . $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.install_enabled_cmd') . '</a>';
 			}
 
 				// Check if the encryption key is empty
 			if ($GLOBALS['TYPO3_CONF_VARS']['SYS']['encryptionKey'] == '') {
-				$url = 'install/index.php?redirect_url=index.php'.urlencode('?TYPO3_INSTALL[type]=config#set_encryptionKey');
+				$url = 'install/index.php?redirect_url=index.php' . urlencode('?TYPO3_INSTALL[type]=config#set_encryptionKey');
 				$warnings["install_encryption"] = sprintf(
 					$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.install_encryption'),
-					'<a href="'.$url.'">',
+						'<a href="' . $url . '">',
 					'</a>');
 			}
 
 				// Check if fileDenyPattern was changed which is dangerous on Apache
-			if ($GLOBALS['TYPO3_CONF_VARS']['BE']['fileDenyPattern'] != FILE_DENY_PATTERN_DEFAULT )	{
+			if ($GLOBALS['TYPO3_CONF_VARS']['BE']['fileDenyPattern'] != FILE_DENY_PATTERN_DEFAULT) {
 				$warnings['file_deny_pattern'] = sprintf(
 					$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.file_deny_pattern'),
-					'<br /><pre>'.htmlspecialchars(FILE_DENY_PATTERN_DEFAULT).'</pre><br />');
+						'<br /><pre>' . htmlspecialchars(FILE_DENY_PATTERN_DEFAULT) . '</pre><br />');
 			}
 
 				// Check if fileDenyPattern allows to upload .htaccess files which is dangerous on Apache
-			if ($GLOBALS['TYPO3_CONF_VARS']['BE']['fileDenyPattern'] != FILE_DENY_PATTERN_DEFAULT && t3lib_div::verifyFilenameAgainstDenyPattern(".htaccess"))	{
+			if ($GLOBALS['TYPO3_CONF_VARS']['BE']['fileDenyPattern'] != FILE_DENY_PATTERN_DEFAULT && t3lib_div::verifyFilenameAgainstDenyPattern(".htaccess")) {
 				$warnings['file_deny_htaccess'] = $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.file_deny_htaccess');
 			}
 
 				// Check if there are still updates to perform
 			if (!t3lib_div::compat_version(TYPO3_branch)) {
-				$url = 'install/index.php?redirect_url=index.php'.urlencode('?TYPO3_INSTALL[type]=update');
+				$url = 'install/index.php?redirect_url=index.php' . urlencode('?TYPO3_INSTALL[type]=update');
 				$warnings["install_update"] = sprintf(
 					$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.install_update'),
-					'<a href="'.$url.'">',
+						'<a href="' . $url . '">',
 					'</a>');
 			}
 
@@ -4461,20 +4469,20 @@
 				$url = 'sysext/lowlevel/dbint/index.php?&id=0&SET[function]=refindex';
 				$warnings["backend_reference"] = sprintf(
 					$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.backend_reference_index'),
-					'<a href="'.$url.'">',
+						'<a href="' . $url . '">',
 					'</a>',
 					self::dateTime($lastRefIndexUpdate));
 			}
 
-			// Check for memcached if configured
+				// Check for memcached if configured
-			$memCacheUse = false;
+			$memCacheUse = FALSE;
 			if (is_array($GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations'])) {
 				foreach ($GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations'] as $table => $conf) {
 					if (is_array($conf)) {
 						foreach ($conf as $key => $value) {
 							if (!is_array($value) && $value === 't3lib_cache_backend_MemcachedBackend') {
 								$servers = $GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations'][$table]['options']['servers'];
-								$memCacheUse = true;
+								$memCacheUse = TRUE;
 								break;
 							}
 						}
@@ -4512,13 +4520,13 @@
 					}
 					if (count($failed) > 0) {
 						$warnings['memcached'] = $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.memcache_not_usable') . '<br/>' .
-							implode(', ', $failed);
+								implode(', ', $failed);
 					}
 				}
 			}
 
-			// Hook for additional warnings
+				// Hook for additional warnings
-			if (is_array ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['displayWarningMessages'])) {
+			if (is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['displayWarningMessages'])) {
 				foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['displayWarningMessages'] as $classRef) {
 					$hookObj = t3lib_div::getUserObj($classRef);
 					if (method_exists($hookObj, 'displayWarningMessages_postProcess')) {
@@ -4530,8 +4538,8 @@
 			if (count($warnings)) {
 				$style = ' style="margin-bottom:10px;"';
 				$securityWarnings = '<ul><li' . $style . '>'
-					. implode('</li><li' . $style . '>', $warnings)
-					. '</li></ul>';
+						. implode('</li><li' . $style . '>', $warnings)
+						. '</li></ul>';
 
 				$securityMessage = t3lib_div::makeInstance(
 					't3lib_FlashMessage',
@@ -4540,8 +4548,8 @@
 					t3lib_FlashMessage::ERROR
 				);
 				$content = '<div style="margin: 20px 0px;">'
-					. $securityMessage->render()
-					. '</div>';
+						. $securityMessage->render()
+						. '</div>';
 
 				unset($warnings);
 				return $content;
@@ -4570,16 +4578,16 @@
 	 * @internal
 	 */
 	public static function ADMCMD_previewCmds($pageinfo) {
-		if ($pageinfo['fe_group']>0) {
+		if ($pageinfo['fe_group'] > 0) {
-			$simUser = '&ADMCMD_simUser='.$pageinfo['fe_group'];
+			$simUser = '&ADMCMD_simUser=' . $pageinfo['fe_group'];
 		}
 		if ($pageinfo['starttime'] > $GLOBALS['EXEC_TIME']) {
-			$simTime = '&ADMCMD_simTime='.$pageinfo['starttime'];
+			$simTime = '&ADMCMD_simTime=' . $pageinfo['starttime'];
 		}
 		if ($pageinfo['endtime'] < $GLOBALS['EXEC_TIME'] && $pageinfo['endtime'] != 0) {
-			$simTime = '&ADMCMD_simTime='.($pageinfo['endtime']-1);
+			$simTime = '&ADMCMD_simTime=' . ($pageinfo['endtime'] - 1);
 		}
-		return $simUser.$simTime;
+		return $simUser . $simTime;
 	}
 
 	/**
@@ -4621,20 +4629,22 @@
 		t3lib_div::logDeprecatedFunction();
 
 		$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', 'pages', 'doktype!=255 AND module IN (\'' . implode('\',\'', $name) . '\') AND' . $perms_clause . self::deleteClause('pages'));
-		if (!$GLOBALS['TYPO3_DB']->sql_num_rows($res))	return false;
+		if (!$GLOBALS['TYPO3_DB']->sql_num_rows($res)) {
+			return FALSE;
+		}
 
 		$out = '';
 		$theRows = array();
-		while($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
+		while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
 			$theRows[] = $row;
-			$out.='<span class="nobr"><a href="'.htmlspecialchars($script.'?id='.$row['uid']).'">'.
+			$out .= '<span class="nobr"><a href="' . htmlspecialchars($script . '?id=' . $row['uid']) . '">' .
 					t3lib_iconWorks::getSpriteIconForRecord('pages', $row, array('title' => htmlspecialchars(self::getRecordPath($row['uid'], $perms_clause, 20)))) .
-					htmlspecialchars($row['title']).
+					htmlspecialchars($row['title']) .
 					'</a></span><br />';
 		}
 		$GLOBALS['TYPO3_DB']->sql_free_result($res);
 
-		return array('rows'=>$theRows, 'list'=>$out);
+		return array('rows' => $theRows, 'list' => $out);
 	}
 
 	/**
@@ -4689,4 +4699,5 @@
 		return $configuration;
 	}
 }
+
-?>
+?>
\ No newline at end of file
